void main( void )
{
}

void talk( void )
{
 if (&safe == 0)
 {
 say("`3求求你救救我!", &current_sprite);
 return;
 }
 else
 {
 playmidi("love.mid");
 freeze(1);
 freeze(&current_sprite);
 say_stop("你没事吧？", 1);
 wait(200);
 say_stop("`3多亏你才没事啊。 那些家伙会杀了我的！", &current_sprite);
 wait(200);
 say_stop("确实，我在这里也从来没见过", 1);
 say_stop("这种事。", 1);
 wait(200);
 say_stop("`3像我说的，我轻装旅行，身上没带", &current_sprite);
 say_stop("`3什么好东西。", &current_sprite);
 wait(200);
 say_stop("`3收下这块金子吧，我也只能给你这个了。", &current_sprite);
 &gold += 1;
 &exp += 15;
 sp_speed(&current_sprite, 3);
 sp_timing(&current_sprite, 0);
 move_stop(&current_sprite, 6, 680, 1);
 unfreeze(&current_sprite);
 unfreeze(1);
 sp_active(&current_sprite, 0);
 }
}
